Pistis
API referenceMessages

List waiting messages

GET
/sessions/{id}/pending

Messages a turn has not taken yet, oldest first. They run in that order.

Authorization

bearer
headerAuthorizationBearer <token>

An API token

Path Parameters

id*string

A session id

Response Body

Waiting messages

application/json
  1. response
items*array<>
Example Request
curl -X GET 'http://127.0.0.1:7777/sessions/ses_6c1f2a0b9d3e4f5a6b7c/pending'
Example Response
{  "items": [    {      "submissionId": "string",      "mode": "steer",      "text": "string",      "at": 0,      "by": {        "principal": "string",        "name": "string"      }    }  ]}